# Generated by Django 2.1.7 on 2019-03-20 05:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('moneylendingGoPay', '0007_auto_20190320_0550'),
    ]

    operations = [
        migrations.CreateModel(
            name='details',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('loan_amount', models.BigIntegerField()),
                ('amount_paid', models.BigIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Loan',
            fields=[
                ('id', models.AutoField(db_column='loan_id', primary_key=True, serialize=False)),
                ('loan_amount', models.BigIntegerField()),
                ('customer', models.ForeignKey(db_column='customer_id', on_delete=django.db.models.deletion.DO_NOTHING, to='moneylendingGoPay.Customer')),
                ('loan_status', models.ForeignKey(db_column='loan_status_code', on_delete=django.db.models.deletion.DO_NOTHING, to='moneylendingGoPay.StatusLookup')),
            ],
        ),
        migrations.RemoveField(
            model_name='loan2',
            name='customer',
        ),
        migrations.AlterField(
            model_name='payment',
            name='loan',
            field=models.ForeignKey(db_column='loan_id', on_delete=django.db.models.deletion.DO_NOTHING, to='moneylendingGoPay.Loan'),
        ),
        migrations.DeleteModel(
            name='Loan2',
        ),
        migrations.AddField(
            model_name='details',
            name='loanMapping',
            field=models.ForeignKey(db_column='loan_id', on_delete=django.db.models.deletion.DO_NOTHING, to='moneylendingGoPay.Loan'),
        ),
    ]
